System and Feature Requirements

Asciidoctor operates on macOS, Windows, and Linux.

System requirements

While we only test on Alpine Linux, Debian, and Fedora, Asciidoctor should operate as expected on most Linux distributions.

Supported Platform Supported Version(s)

Ruby

≥ 2.2

JRuby

≥ 9.0

Alpine Linux

≥ 3.6

Debian

≥ 9.3

Fedora

≥ 26

macOS

High Sierra

Microsoft

Windows 10
Windows 8.1
Windows Server 2016
Windows Server 2012 R2

Feature requirements

The following platforms are only required if you’re using certain AsciiDoc features.

Feature Supported Platform Supported Version(s)

Stem equations and formulas

MathJax

2.7.4

Server-side syntax highlighting for source code blocks

CodeRay

1.1.2

Pygments

2.2.0

Rouge

3.1.1

Inline, admonition or callout font-based icons

Font Awesome

4.7

Next

Linux

Install Asciidoctor using the package manager on many Linux distributions including Fedora, RHEL, Debian, Ubuntu, and Alpine Linux.

macOS

Install Asciidoctor using Homebrew on macOS.